package com.fr.plugin.showtype;

import com.fr.decision.fun.impl.AbstractShowTypeProvider;
import com.fr.decision.web.DirectoryComponent;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.web.struct.Atom;

/**
 * @Author Roger
 * @Date 2020/8/18 17:42
 * @Version 10.0
 */
@EnableMetrics
public class NewPreviewType extends AbstractShowTypeProvider {

    @Override
    public Atom attach() {
        return DirectoryComponent.KEY;
    }

    @Override
    public Atom client() {
        return NewPreviewComponent.KEY;
    }

    @Override
    public String typeName() {
        return "newPreview";
    }

    @Override
    @Focus(id = "com.fr.plugin.showtype.v10", text = "Fine-Plugin_New_Preview_Type", source = Original.PLUGIN)
    public int typeValue() {
        return 5;
    }
}
